Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.exception
Class MathRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.commons.math3.exception.MathRuntimeException

All Implemented Interfaces:
  Serializable, ExceptionContextProvider

    public class MathRuntimeException

extends RuntimeException
implements ExceptionContextProvider

As of release 4.0, all exceptions thrown by the Commons Math code (except `NullArgumentException`) inherit from this class. In most cases, this class should not be instantiated directly: it should serve as a base class for implementing exception classes that describe a specific "problem".

Since:
  3.1
Version:
  $Id: MathRuntimeException.java 1416643 2012-12-03 19:37:14Z tn $
See Also:
  Serialized Form

Constructor Summary
`MathRuntimeException(Localizable pattern, Object... args)`

Method Summary
`ExceptionContext` | `getContext()` Gets a reference to the "rich context" data structure that allows to customize error messages and store key, value pairs in exceptions.
`String` | `getLocalizedMessage()`
`String` | `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MathRuntimeException

    public MathRuntimeException(Localizable pattern,
                                Object... args)

Parameters:
  `pattern` - Message pattern explaining the cause of the error.
  `args` - Arguments.

Method Detail

### getContext

    public ExceptionContext getContext()

  Gets a reference to the "rich context" data structure that allows to customize error messages and store key, value pairs in exceptions.

  Specified by:
    `getContext` in interface `ExceptionContextProvider`
  Returns:
    a reference to the exception context.

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

### getLocalizedMessage

    public String getLocalizedMessage()

  Overrides:
    `getLocalizedMessage` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.